# `filter` command

Filter SBOMs.

    usage: debsbom filter [-h] [-t {cdx,spdx}] [--sources] [--binaries]
                          [--validate] [-p PACKAGE]
                          bomin bomout

## Positional Arguments

`bomin`

  sbom file(s) to process for ‘bomin’. Use ‘-’ to read from stdin

`bomout`

  sbom output file. Use ‘-’ to write to stdout

## Named Arguments

`-t, --sbom-type`

  Possible choices: cdx, spdx

  SBOM type to process (default: auto-detect), required when reading from stdin

`--sources`

  operate only on source packages (skip binaries)

  Default: `False`

`--binaries`

  operate only on binary packages (skip sources)

  Default: `False`

`--validate`

  validate generated SBOM (only for SPDX)

  Default: `False`

`-p, --package`

  filter the SBOM by only including the package and its dependency subgraph